[misc] 01/01: Add a script to dump the keys of the uploaders of our packages, to organically fill debian/upstream/signing-key.asc
Mattia Rizzolo
mattia at debian.org
Mon Feb 13 16:11:00 UTC 2017
This is an automated email from the git hooks/post-receive script.
mattia pushed a commit to branch master
in repository misc.
commit 7dcc532412c4da2612cfe925f68fc0d3f4d202e4
Author: Mattia Rizzolo <mattia at debian.org>
Date: Mon Feb 13 13:44:18 2017 +0100
Add a script to dump the keys of the uploaders of our packages, to organically fill debian/upstream/signing-key.asc
---
dump-gpg-keys.sh | 43 +++++++++++++++++++++++++++++++++++++++++++
1 file changed, 43 insertions(+)
diff --git a/dump-gpg-keys.sh b/dump-gpg-keys.sh
new file mode 100755
index 0000000..d225f7c
--- /dev/null
+++ b/dump-gpg-keys.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+# requires: GPG 2.1
+
+# dumps out our minimal keys, useful to create nicely formatted
+# debian/upstream/signin-keys.asc in our packages
+
+
+set -eu -o pipefail
+
+removetemp () { rm -rf "$gpghome" && echo "$gpghome removed" >&2 ; }
+gpghome="$(mktemp -d)"
+trap removetemp EXIT
+
+GPG=("gpg" "--homedir" "$gpghome" "--batch")
+
+keys=(
+ C2FE4BD271C139B86C533E461E953E27D4311E58 # lamby at debian.org
+ 66AE2B4AFCCF3F52DA184D184B043FCDB9444540 # mattia at debian.org
+)
+
+# import all the keys
+
+"${GPG[@]}" \
+ --keyserver keyring.debian.org \
+ --recv-keys \
+ "${keys[@]}"
+
+# print some information about the keys
+# (--fingerprint twice so the fingeprint of the subkeys is printed too)
+"${GPG[@]}" \
+ --list-keys \
+ --keyid-format none \
+ --with-subkey-fingerprint \
+ --list-options no-show-keyring \
+ | tail -n +3
+
+# re-export them
+"${GPG[@]}" \
+ --export \
+ --armor \
+ --export-options export-minimal \
+ "${keys[@]}"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/misc.git
More information about the Reproducible-commits
mailing list